% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_model_designations.R
\name{get_model_designations}
\alias{get_model_designations}
\title{Get model designations from metadata}
\usage{
get_model_designations(models, source, hub_repo_path, as_of = Sys.Date())
}
\arguments{
\item{models}{optional character vector of model abbreviations for
which to retrieve designations. If not provided, the function returns model
designations for all models.}

\item{source}{string specifying where forecasts will be loaded from:
either \code{"local_hub_repo"} or \code{"zoltar"}}

\item{hub_repo_path}{path to local clone of the \code{reichlab/covid19-forecast-hub}
repository}

\item{as_of}{optional date specifying the version. Only support versioned
model designations in \code{"local_hub_repo"}}
}
\value{
data.frame with columns \code{model} and \code{designation}
}
\description{
Get model designations from metadata
}
